<?php

namespace App\Http\Controllers;

use App\Filter\FilterClass\project\participants\Q;
use App\Models\Style;
use App\Traits\ApiResponser;
use App\Traits\pipeline;
use Illuminate\Http\Request;

class StyleControlller extends Controller
{
    use ApiResponser,pipeline;
    public function indexForApp(){
        $style=$this->pipeline(Style::query()->select('title','id'),[Q::class]);
     return ($style)?  $this->onSuccess($style):$this->onSuccess([]);
    }
    public function index(){
        $style=Style::query()->select('title','id')->get();
        return ($style)?  $this->onSuccess($style):$this->onSuccess([]);
    }
}
