<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class ImageProjectResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
//        return parent::toArray($request);
        return ['id'=>$this->id,'name'=>$this->name,'link'=>$this->website_link,'backend_name'=>(trim(substr($this->name, strrpos($this->name, 'storage/') + 15)))??null,'tag'=>TagImageResouce::collection($this->keywords)];
    }
}
