<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class ShowNotRegisterResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
//        return parent::toArray($request);
        return ['name'=>$this->name,'id'=>$this->id,
            'email'=>$this->email,
            'last_name'=>$this->last_name,
            'phone_number'=>$this->phone_number,'image'=>$this->image,
            'rate'=>$this->special_comments_profile_many_avg_rate,
            'comment'=>ShowCommentNotRegisterResource::collection($this->specialCommentsProfileMany)
        ];
    }
}
