<?php

namespace App\Repositories\Admin\Structure;

use App\Models\Admin\Structure\ContactUs;
use JasonGuru\LaravelMakeRepository\Repository\BaseRepository;
//use Your Model

/**
 * Class ContactUsRepository.
 */

class ContactUsRepository extends BaseRepository
{
    /**
     * @return string
     *  Return the model
     */
    public function model()
    {
        return ContactUs::class;
    }

    public function createValue($key, $value)
    {
        return ContactUs::create([
            'key' => $key,
            'value' => $value
        ]);
    }

    public function updateValue($id, $key, $value)
    {
        return ContactUs::where('id', $id)->update([
            'key' =>$key,
            'value' => $value
        ]);
    }

    public function deleteValue($id)
    {
        return ContactUs::where('id', $id)->delete();
    }

    public function showValue()
    {
        return ContactUs::all();
    }

    public function findValue($id)
    {
        return ContactUs::find($id);
    }
}
