<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class SendMessageRequests extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        ini_set('upload_max_filesize','0');
        return [
//            'receiver_role'=>['in:company,user','required'],
//            'receiver_id'=>['numeric','required'],
            'uuid'=>['string'],
            'is_tag'=>['string'],
            'message'=>[ Rule::requiredIf(($this->file==null))],
            'file'=>['file','mimes:svg,jpeg,png,jpg,gif,ppt,pdf,mpt3,mpt4,mkv'],
        ];
    }
}
