<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class MapHomeResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
//        return parent::toArray($request);
        return [
            'name'=>$this->name,
            'id_project'=>$this->id??null,
            'id'=>$this->address->id??null,
            'long'=>$this->address->longitude??null,
            'lat'=>$this->address->latitude??null,
        ];
    }
}
