<?php

namespace App\QueryFilters;

class DateRangeFilter
{
    public function handle($request , \Closure  $next)
    {
        if (!request()->has('dateOne') && ! \request()->has('dateTwo')){
            return $next($request);
        }
        $builder=$next($request);
        if (request()->has('dateOne') && \request()->has('dateTwo')){
            return  $builder->whereDate('created_at','>=',\request()->dateOne)
                ->whereDate('created_at','<=',\request()->dateTwo);
        }
        elseif (!request()->has('dateOne')){

            return  $builder->whereDate('created_at','<=',\request()->dateTwo);
        }
        elseif (! \request()->has('dateTwo')){

            return  $builder->whereDate('created_at','>=',\request()->dateOne);
        }


    }
}